<div class="sidenav-container">
  <mat-toolbar *ngIf="user">
    <div class="toolbar" fxLayout="row" fxLayoutAlign="start center" fxFlexFill>
      <img class="avatar" [src]="user?.avatar || global.USER_DEFAULT_URL">
      <span fxFlex style="margin-left: 10px">{{user?.nick}}</span>
      <div fxLayout="row" fxLayoutAlign="end">
        <button mat-icon-button>
          <mat-icon>phone</mat-icon>
        </button>
        <button mat-icon-button [matMenuTriggerFor]="userMenu">
          <mat-icon>more_vert</mat-icon>
        </button>
      </div>

    </div>
  </mat-toolbar>

  <div class="chat-contacts-container" fxLayout="column">
    <div>
      <mat-nav-list class="chat-contacts">
        <mat-list-item class="chat-contact" (click)="setActiveChat(friend)"
                       *ngFor="let friend of friends" mat-ripple>

          <img class="avatar" [src]="friend?.avatar || global.USER_DEFAULT_URL" mat-list-avatar>
          <h3 class="name" mat-line>{{friend?.nick}}</h3>
          <p class="last-message" mat-line> {{friend?.email}}</p>

        </mat-list-item>
      </mat-nav-list>
    </div>
  </div>
</div>

<mat-menu #userMenu="matMenu">
  <button mat-menu-item>
    <mat-icon> account_circle</mat-icon>
    <span> I </span>
  </button>
  <button mat-menu-item>
    <mat-icon> settings</mat-icon>
    <span> Set </span>
  </button>
  <button mat-menu-item>
    <mat-icon>help</mat-icon>
    <span>help</span>
  </button>
  <mat-divider></mat-divider>
  <button mat-menu-item>
    <mat-icon> exit_to_app</mat-icon>
    <span> drop out </span>
  </button>
</mat-menu>
